%define languageenglazy Somali
%define languagecode    so
%define lc_ctype        so_SO

Name:           hunspell-%{languagecode}
Version:        0.1.5
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www.opensourcesomalia.org/index.php?page=hingaad-saxe
Source0:        http://extensions.services.openoffice.org/e-files/2727/1/dict-so.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-so
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-so_DJ = %{version}-%{release}
Provides:       hunspell-so_ET = %{version}-%{release}
Provides:       hunspell-so_KE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-so_DJ = 2
Provides:       dictionary-so_ET = 2
Provides:       dictionary-so_KE = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p so_SO.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p so_SO.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

so_SO_aliases="so_DJ so_ET so_KE"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $so_SO_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $so_SO_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_so_SO.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.1.5-4.mga2
+ Revision: 224958
- add requirement on locales (mga#4632)
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.1.5-2.mga1
+ Revision: 69099
- imported package hunspell-so

